## NMDeviceDummy NMDeviceDummy |

## Functions

const char * | nm_device_dummy_get_hw_address ()

## Properties

gchar * | hw-address | Read

## Types and Values

#define | NM_DEVICE_DUMMY_HW_ADDRESS
| NMDeviceDummy

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceDummy

## Implemented Interfaces

NMDeviceDummy implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_dummy_get_hw_address ()

    const char *
    nm_device_dummy_get_hw_address (NMDeviceDummy *device);

Gets the hardware (MAC) address of the NMDeviceDummy

#### Parameters

device | a NMDeviceDummy |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since: 1.10

## Types and Values

### NM_DEVICE_DUMMY_HW_ADDRESS

    #define NM_DEVICE_DUMMY_HW_ADDRESS  "hw-address"

### NMDeviceDummy

    typedef struct _NMDeviceDummy NMDeviceDummy;

## Property Details

### The `“hw-address”` property

      “hw-address”               gchar *

The active hardware (MAC) address of the device.

Flags: Read

Default value: NULL

Since: 1.10